Skip to content

Search Products

GET/pimapi/v1/catalogs/{catalogId}/products/search

Perform a fast product search in a catalog matching specified classification systems and group filters.


ParameterTypeRequiredDescription
catalogIdstringYesUnique ID of the catalog to search (e.g., CAT_STANDARD).
ParameterTypeRequiredDescription
classificationIdstringNoFilter by associated classification system ID.
classificationGroupClassificationIdstringNoFilter by classification system ID associated with a classification group.
classificationGroupIdstringNoFilter by classification group ID.
languageIdstringNoLanguage tag to localize descriptions (e.g., en, de).
sortingstringNoField sorting instructions (e.g., +productId, -statusId).
pageintegerNoZero-indexed page number for pagination.
pageSizeintegerNoNumber of items per page.

Terminal window
curl -X GET "https://dev.pxm.eu.prodexa.com/pxm/pimapi/v1/catalogs/CAT_STANDARD/products/search?classificationId=ECLASS_10&page=0&pageSize=1" \
-H "X-API-KEY: your_hex_api_key" \
-H "Accept: application/json"

Returns a paginated list wrapper with matching product items.

{
"status": 200,
"meta": {
"languageId": "en",
"page": 0,
"pageSize": 1,
"totalElements": 820,
"totalPages": 820
},
"data": [
{
"productId": "PROD_1001",
"catalogId": "CAT_STANDARD",
"_objectPreviewURI": "https://dev.pxm.eu.prodexa.com/pxm/api/files/previews/screw_thumb.jpg",
"_objectName": "M6 Steel Screw",
"_objectDescription": "Premium stainless steel M6 machine screw with hex socket head."
}
]
}

Returned if no products are found matching the query.

{
"status": 404,
"meta": {
"languageId": "en"
},
"error": "No Products found"
}